2016-03-06

	* INSTALL.mingw: The INSTALL.mingw file is now actually a script
	that can be passed to bash.  It will download and compile the
	dependencies, and then build the pidgin-otr NSIS installer and
	zip file.  Note that the GTK and pidgin libraries are downloaded
	in Windows binary form (though their checksums are checked), and
	not built from source.  This script is known to work on one
	particular Ubuntu 14.04 machine.  It would be cool if others
	could try it as well, and it would be super-cool if we could
	turn this into a deterministic build.

2016-03-05

	* README:
	* INSTALL.mingw:
	* Makefile.mingw:
	* packaging/windows/pidgin-otr.nsi:
	* configure.ac: Change version number to 4.0.2

2016-01-03

	* gtk-dialog.c (otrg_gtk_dialog_add_smp_data):
	* gtk-dialog.c (create_smp_dialog): Fix use-after-free issue
	during SMP.  Thanks to Stefan Sperling <otr@stsp.name> and Hanno
	Böck <hanno@hboeck.de> for the report.

	* configure.ac: Add AM_PROG_AR to configure.ac.  Thanks to
	intrigeri <intrigeri@boum.org> for the report.

	* configure.ac: Update a couple of deprecated configure.ac
	macros and turn on AM_SILENT_RULES.

	* gtk-dialog.c (otr_icon): Change deprecated gdk_pixbuf_unref to
	g_object_unref.

	* gtk-dialog.c (otrg_gtk_dialog_socialist_millionaires): Remove
	unused proto_name variable.

2015-03-20

	* po/da.po: New Danish translation from Søren Fuglede Jørgensen
	<s@fuglede.dk>

2015-01-04

	* po/es.po: Updated Spanish translation from strel
	* po/de.po: Updated German translation from Andy Kleinert
	<Wawuschel@erweiterungen.de>
	* po/nb_NO.po: Fix language code in Norwegian Bokmål translation

2014-10-18

	* README:
	* INSTALL.mingw:
	* Makefile.mingw:
	* packaging/windows/pidgin-otr.nsi:
	* configure.ac: Change version number to 4.0.1

	* README: lists.cypherpunks.ca URLs changed to https://

	* configure.ac:
	* po/nb_NO.po: New Norwegian Bokmål translation from Allan
	Nordhøy <comradekingu@gmail.com>

2013-11-03

	* po/zh_CN.po: Fix sense of "I have" vs "I have not".  Thanks to
	Guo Yixuan <culu.gyx@gmail.com> for the report and patch.

2013-10-23

	* po/fr.po: Update to fr translation from Solveig
	<pidgin-otr@solveig.org>

2013-08-12

	* gtk-dialog.c:
	* po/cs.po:
	* po/de.po:
	* po/el.po:
	* po/es.po:
	* po/fa.po:
	* po/fi.po:
	* po/fr.po:
	* po/my_MM.po:
	* po/nl.po:
	* po/nn.po:
	* po/pt_BR.po:
	* po/zh_CN.po: Fix typo in English UI text (and corresponding
	msgid in all of the translations).  Thanks to Daniel Kraft
	<d@domob.eu> for reporting the issue.

2013-07-28

	* packaging/fedora/pidgin-otr.spec: Fedora spec file for 4.x
	from Paul Wouters <paul@cypherpunks.ca>

2013-06-08

	* po/pt_BR.po: Update to pt_BR translation from the original translator

2013-05-31

	* otr-plugin.c: Add a default max message size for Novell
	Groupwise.  Patch from Federico Mena Quintero
	<federico@suse.com>.

2013-05-29

	* configure.ac:
	* po/pt_BR.po: Brazilian Portuguese translation from Alexandro Casanova
	<shorterfire@gmail.com>

2013-04-16

	* configure.ac:
	* po/fi.po: Finnish translation from Mikko Harhanen
	<gitti@mikkoharhanen.fi>

2013-03-24

	* configure.ac:
	* po/cs.po: Czech translation from Jaromír Karmazín
	<blue.beret@seznam.cz>

2012-09-09

	* Makefile.mingw: Make ld hardening [DEP, ALSR] work on Windows
	builds.  Thanks to Daniel Atallah <datallah@pidgin.im>
	for noticing that it wasn't working before.

2012-09-06

	* gtk-dialog.c:
	* gtk-ui.c:
	* ui.c:
	* otr-plugin.c: Compile correctly even if i18n (libintl/gettext)
	is not available.

2012-09-04

	* README: Release 4.0.0

2012-09-02

	* gtk-dialog.c (otrg_gtk_dialog_new_purple_conv): When switching
	to a conversation tab for which the user has explicitly disabled
	OTR, remove the OTR menus from the top menu bar.  Thanks to Greg
	Troxel <gdt@ir.bbn.com> for reporting the issue.

2012-08-27

	* otr-plugin.c: Add a timer_control callback for the last-minute
	libotr 4 API change.

	* gtk-dialog.c (otrg_gtk_dialog_finished): If one of our buddies
	ends his/her side of the OTR session, don't automatically change
	the label on the OTR button on our side to "Finished", since
	there may be other sessions for the same buddy still in ENCRYPTED.

	* configure.ac: Make the version number of libotr we're looking
	for more clear.  It used to say "4.0.0 or newer"; now it says
	"4.x >= 4.0.0", since 5.0 is *not* acceptable.  Thanks to
	Jacob Appelbaum <jacob@appelbaum.net> for pointing it out.

2012-08-24

	* otr-plugin.c: Turn off the beta dialog
	* README:
	* INSTALL.mingw:
	* Makefile.mingw:
	* packaging/windows/pidgin-otr.nsi:
	* configure.ac: Change version number to 4.0.0

2012-08-22

	* configure.ac:
	* Makefile.mingw: Use gcc and ld hardening flags, where possible.
	* patches/win32/rndw32.c:
	* patches/win32/libgcrypt-config.h.patch: Include required win32
	build patches right here in the source tree
	* INSTALL.mingw: Be much more thorough in describing how to
	cross-compile pidgin-otr.dll on Linux
	* configure.ac:
	* gtk-dialog.c: Build cleanly with -Wall -Wextra
	-Wno-unused-parameter -Wno-missing-field-initializers
	-Wformat-security

2012-08-16

	* packaging/windows/pidgin-otr.nsi: Modifications to the nsi
	file to make it work properly in a UI-less setting.  Thanks to
	Ariel Poliak <ariel.p@hostdime.com> for the patch!

2012-07-19

	* gtk-dialog.c, gtk-ui.c, otr-plugin.c: Clean up compiler warnings,
	memory leaks, and a potential buffer overflow from overlong
	translations.  Thanks to Paul Wouters <pwouters@redhat.com> for
	the report.

2012-07-03

	* po/de.po: Updates to German translation from Andreas Schlick
	<schlick@lavabit.com>

2012-07-01

	* po/my_MM.po: Burmese translation from Russell Kyaw
	<russellkyaw@gmail.com>

2012-06-29

	* po/nl.po: Updated Dutch translation from Paul Wouters
	<paul@cypherpunks.ca>
	* po/fr.po: Updated French translation from Paul Hendry
	<pshendry@uwaterloo.ca>

2012-06-28

	* po/fa.po: Farsi translation from Hooman Mohajeri Moghaddam
	ﻩﻮﻤﻧ ﻢﻫﺎﺟﺭی ﻢﻗﺪﻣ <hmohajer@cs.uwaterloo.ca>
	* po/nn.po: Norwegian translation from Yngve Spjeld Landro
	<l10n@landro.net>

2012-06-25

	* po/es.po: Updated Spanish translation from Juan Rodriguez
	<sevenfactors at gmail dot com>

2012-06-21

	* INSTALL.mingw:
	* Makefile.mingw: Cleaned up instructions for mingw win32
	cross-compile

	* po/el.po: Updated Greek translation by Alex
	<irregulator@riseup.net>

2012-06-21

	* otr-plugin.c: Fixed a crash that happened when enabling the
	OTR plugin while a conversation is open.

	* Release 4.0.0-beta2

2012-06-20

	* po/el.po: Greek translation by Alex <irregulator@riseup.net>

	* po/zh_CN.po: Simplified Chinese translation by Bisheng Liu
	<bisheng.liu@uwaterloo.ca>

2012-06-16

	* po/de.po: German translation updated by Marc Ester
	<marc.aurel.ester@googlemail.com>

2012-06-07

	* Release 4.0.0-beta1

2012-05-11

	* otr-plugin.c: Added annoying warnings to prepare for
	win32 build.

2012-05-10

	* gtk-dialog.c:
	* otr-plugin.c: Avoiding storing values in g_hash_tables.
	Doing this improperly created issues in 64-bit
	environments.

2012-04-30

	* gtk-dialog.c:
	* gtk-ui.c: 
	* otr-plugin.c:
	* otr-plugin.h:
	* ui.c: More changes for instance tags. Some logging-
	related changes too (output whether pidgin is logging,
	change default not to log otr conversations). -- Rob
	Smits

2010-03-02

	* po/vi.po: Vietnamese translation from Lyndon Johnson
	<lyndon.johnson58@gmail.com>

2009-11-14

	* gtk-dialog.c (add_to_vbox_verify_fingerprint): Make
	the fingerprints in the manual authentication dialog
	selectable (but not selected by default).

2009-06-11

	* gtk-dialog.c:
	* otr-plugin.c:
	* otr-plugin.h: Initial instance tags implementation
	from Lisa Du

2009-08-24

	* po/fr.po: Fixed \n errors

2009-07-20

	* po/fr.po: Complete French translation from Solveig
	<perso@solveig.org>

2009-06-24

	* po/fr.po: Spelling correction from intrigeri
	<intrigeri@boum.org>

2009-03-18

	* po/sv.po: Swedish translation from Daniel Nylander
	<po@danielnylander.se>

2009-01-18

	* po/pl.po: Polish translation from Paweł Czochański
	<czochanski@gmail.com>

2008-09-24

	* po/it.po: Italian translation from Vincenzo Reale
	<smart2128@baslug.org>.

2008-08-15

	* otr-plugin.c: Willy Lew's updates to reflect libotr 4.0.0 API

2008-08-07

	* otr-plugin.c:
	* dialogs.h:
	* dialogs.c:
	* gtk-dialog.c: Add a force_create parameter to
	display_otr_message.

2008-07-10

	* otr-plugin.c: Use /dev/urandom to generate keys instead of
	/dev/random.  [Really: on non-Win32, call
	gcry_control(GCRYCTL_ENABLE_QUICK_RANDOM, 0); before OTRL_INIT;.]

2008-07-07

	* gtk-conv.c: Don't delete the OTR menus if a non-foreground
	conversation window is closed.

2008-07-02

	* dialogs.c:
	* dialogs.h:
	* gtk-dialog.c:
	* otr-plugin.c: Use the new SMP event callback instead of
	handling the SMP state machine ourselves.

2008-06-19

	* Makefile.static: Forgot to add tooltipmenu.o to
	Makefile.static.  Fixed.

2008-06-17

	* otr-plugin.c: Except on WIN32, set the umask to 0077 before
	creating the otr.* files in the purple directory so that they
	end up mode 0600.  Based on a patch from Caspar Clemens Mierau
	<damokles@ubuntu.com>.

	* po/de.po: Updated German translation from Michael Meier
	<mail@code.mmsources.de>.

2008-06-16

	* gtk-dialog.c: Make the menu item say "Reauthenticate buddy"
	when the buddy is already authenticated.

2008-06-15

	* gtk-dialog.c: Don't try to destroy the submenu when we've
	already destroyed the menu.  Linux doesn't complain about this,
	but Windows does.

	* packaging/windows/pidgin-otr.msi: Bump version number.

	* Makefile.mingw: Add tooltipmenu.o to link line.

	* Release 3.2.0.

2008-06-13

	* po/de.po: Updated German translation from Michael Meier
	<mail@code.mmsources.de>

	* README: Updated, ready for release of 3.2.0.

	* dialogs.h: Remove unused FINGERPRINT_HELPURL.

	* gtk-dialog.c: Remove dead (#if 0) code.

2008-06-11

	* gtk-dialog.c: A small change to aid in i18n from Őry Máté
	<orymate@gmail.com>

	* po/hu.po: Updated Hungarian translation from Őry Máté
	<orymate@gmail.com>

2008-05-30

	* gtk-dialog.c: The new toolbar OTR button now uses the standard
	OTR menu.

	* gtk-dialog.c: The buddy and status items in the OTR menu are
	no longer selectable.

	* gtk-ui.c: Specify that the OTR button shows up in the toolbar
	now.

	* gtk-dialog.c: Added a context-sensitive Help button to the
	Authenticate Buddy dialog.

	* gtk-dialog.c: Revamp of Authenticate Buddy dialog, based on a
	mockup by hcat@gmx.net

2008-05-29

	* gtk-ui.c:
	* gtk-dialog.c: Try moving the OTR button to the toolbar, based
	on an idea from Pontus Andersson at
	http://blog.pesa.se/2007/09/25/goodbye-big-bloated-otr-button/

	* gtk-dialog.c: Some changes to the authenticate buddy dialog;
	more to come.

	* gtk-dialog.c: Some strings were missing _(), and others had
	them unnecessarily.

	* po/de.po: Updated German translation from Michael Meier
	<mail@code.mmsources.de>

2008-05-28

	* tooltipmenu.[ch]: New classes to allow tooltips on menus.

	* otr-icons.h: New OTR icons from <cyrus_xiii@yahoo.com>.

	* README:
	* AUTHORS:
	* *.[ch]: Update copyright dates to 2004-2008 and add Rob Smits
	as an author. (Rob wrote the new gtk-dialog stuff to handle user
	authentication with an explicit question, inserted inline OTR
	icons into the conversation when the status changes, and moved
	the OTR button to the menu bar.)

	* gtk-ui.c: Updated variable names to reflect the (old) change
	from "OTR Options" to "OTR Settings".

	* ui.h:
	* ui.c:
	* gtk-ui.c: Added new OTR UI Options section of the
	configuration panel, which currently controls only whether the
	old OTR button will still show up.

	* dialogs.h:
	* dialogs.c:
	* gtk-dialog.c: 
	* otr-plugin.h:
	* otr-plugin.c: Support starting the SMP authentication with an
	explicit question.

	* otr-plugin.c: Better handling of the case where an SMP message
	fails a verification step.

	* configure.ac:
	* Makefile.mingw: Update version number to 3.2.0.

	* gtk-dialog.c: Made new OTR menus (one master one, and one for
	each active conversation in the window) that replace the old OTR
	button.  [The old button is still available as an option, but
	the menu is always present.]

	* gtk-dialog.c: OTR icons are inserted inline into the
	conversation when the OTR status changes.

	* configure.ac:
	* po/ar.po:
	* po/de.po:
	* po/ru.po: New translations:
	Arabic (Ahmad Gharbeia ﺄﺤﻣﺩ ﻍﺮﺒﻳﺓ <gharbeia@gmail.com>),
	German (Thorsten Mühlfelder <thenktor@gmx.de>),
	Hungarian (Mate Ory <orymate@gmail.com>),
	Russian (Sergei Smirnov <moscow@hro.org>)

	* dialogs.h: Help URLs now have version numbers in them, so the
	appropriate help page can be served.

	* Makefile.am: Include new files in compilation and distribution
	targets.

	* gtk-dialog.c: Added "What's this?" item to OTR menu

	* gtk-dialog.c: Name of authentication dialog is now
	"Authenticate Buddy" with a capital "B".

	* gtk-dialog.c: Authentication dialog now says "Authentication
	Options" instead of "Other Authentication Options".

2007-07-28

	* configure.ac: Fix PKG_CHECK_MODULES so that it gives a
	sensible error if the packages aren't found

	* Makefile.mingw:
	* po/Makefile.mingw: Cleaned up Makefile.mingw files, removed
	"install" target, added "zip" target

	* packaging/windows/pidgin-otr.nsi: Install and uninstall the
	translation files

2007-07-26

	* gtk-dialog.c:
	* otr-plugin.c: ISO C cleanups (no mixing declarations with code)

	* otr-plugin.c: Defend against potential NULL pointer
	dereferences

	* gtk-dialog.c: The SMP secret window should grab focus, but
	only if the user requested to authenticate buddy (and not if it
	popped up because the remote side asked for it)

	* Makefile.mingw: Statically link libintl and libiconv

2007-07-24

	* INSTALL: Added information about i18n; added information about
	linking libgcrypt statically

	* otr-plugin.c: Added support for transparent fragmentation of
	large messages

	* Most files: Updated copyright information

2007-07-22

	* configure.ac: Check for libpurple and use a recent format for
	AC_INIT/AM_INIT_AUTOMAKE, based on a patch from <synx13@sf.net>.

2007-07-18

	* gtk-ui.c: Simplify account list option menu in Config UI,
	thanks to Gabriel Schulhof <nix@go-nix.ca>.

	* gtk-ui.c: Reorder the tabs in the Config UI so that Config is
	first.

	* README: Updated to reflect new tab ordering, and new
	"Don't log OTR conversations" option.

	* gtk-dialog.c: Fixed a bug in the verify fingerprint dialog in
	the unlikely event that a fingerprint exists in the fingerprints
	file with no corresponding key for the local account in the
	private keys file.

2007-07-17

	* dialogs.c:
	* dialogs.h:
	* gtk-dialog.c: Removed Verify fingerprint and View secure
	session id menu options.  Added "Advanced..." button to
	Authenticate buddy dialog, which brings up the old Verify
	fingerprint dialog.  The Authenticate buddy dialog now allows
	users to authenticate their buddies without ever seeing a
	fingerprint.

2007-07-10

	* dialogs.c:
	* dialogs.h:
	* gtk-dialog.c:
	* gtk-ui.c:
	* otr-plugin.c:
	* ui.c:
	* ui.h: Added init() and cleanup() callbacks to the ui and
	dialog subsystems that are called when the plugin is loaded and
	unloaded respectively.

	* gtk-dialog.c: Fixed bug where multiple OTR buttons in one
	window would cause pidgin to crash when the window is closed.

2007-07-08

	* otr-plugin.c:
	* gtk-dialog.c:
	* gtk-ui.c: Added an option to not log OTR conversations.

	* gtk-ui.c:
	* ui.c:
	* ui.h: Generalized find_policy to get_prefs, allowing for other
	preferences to be available.

2007-07-07

	* INSTALL: Update dependency information

	* Makefile.am:
	* Makefile.mingw:
	* configure.ac:
	* gtk-dialog.c:
	* gtk-ui.c:
	* makedist:
	* otr-plugin.c:
	* ui.c: i18n, thanks to Thomas B. <Tommy.B@gmx.net>.

2007-05-06

	* Makefile.am:
	* configure.ac:
	* dialogs.c:
	* dialogs.h:
	* gtk-dialog.c:
	* gtk-dialog.h:
	* gtk-ui.c:
	* gtk-ui.h:
	* otr-plugin.c:
	* otr-plugin.h:
	* ui.c:
	* ui.h: Porting to Pidgin 2.0.0 thanks to Reza Jelveh
	<reza.jelveh@tuhh.de>.

	* packaging/windows/gaim-otr.nsi:
	* Makefile.mingw: Porting the Windows version to Pidgin 2.0.0.

2006-11-28

	* Makefile.mingw: Build under newer mingw cross-compilation
	environment.

	* gtk-dialog.c: Change "gtkstock.h" to "gaimstock.h" to match
	gaim-2.0.0beta5.

	* packaging/windows/gaim-otr.nsi: New version from Paul.

2006-07-24

	* otr-plugin.c: Use g_fopen() to open the otr files, so that on
	Windows, the UTF8 filename encoding is respected.

2006-01-20

	* otr-plugin.c: Track the gaim-2 API changes.

2005-12-18

	* gtk-dialog.c:
	* otr-plugin.c: Compile against either gaim-1.x or gaim-2.x,
	based on a patch from Dustin Howett <alaricx@gmail.com>.

2005-11-02

	* INSTALL: Add instruction for doing autoreconf from CVS
	version, if your libotr.m4 is in a nonstandard place.

	* Makefile.mingw:
	* README:
	* configure.ac: Release version 3.0.0

	* README: Update UI instructions for version 3.0.0

2005-10-27

	* gtk-dialog.c: Better icons

	* gtk-dialog.c: Make the text of dialog boxes selectable

2005-10-19

	* dialogs.h:
	* dialogs.c:
	* gtk-dialog.c:
	* otr-plugin.c: Track libotr API change: protocol_version is now
	part of the ConnContext, and not passed separately to the
	gone_secure() and still_secure() plugins.

	* otr-plugin.c: Removed automatic sending of
	OTRL_TLV_DISCONNECTED at quitting time, since it causes
	unreadable messages to be sent to people with clients who don't
	send those messages.

	* packaging/fedora/gaim-otr.spec: Patches from Paul

2005-10-16

	* Conform to the new libotr API.

2005-08-04

	* otr-plugin.c: Disconnect all contexts when gaim is about to
	quit.

2005-07-29

	* otr-plugin.c (confirm_fingerprint_cb): Match the changing
	libotr API.

2005-06-24

	* README:
	* Makefile.mingw:
	* packaging/fedora/gaim-otr.spec:
	* packaging/windows/gaim-otr.nsi:
	* configure.ac: Change version to 3.0.0 (but don't yet release)

	* Makefile.mingw: add -lgtk_pixbuf-2.0-0 for the OTR button
	pixmaps.

	* configure.ac: Require libotr 3.x.

	* dialogs.h:
	* dialogs.c (otrg_dialog_unknown_fingerprint): This function now
	merely informs the user that a new fingerprint has been
	received, and doesn't require the user to confirm it before it
	can be used.

	* dialogs.h:
	* dialogs.c (otrg_dialog_verify_fingerprint): New function to
	allow the user to confirm the authenticity of a fingerprint.

	* dialogs.h: Add #defines for the online help URLs.

	* gtk-dialog.c: There are now three states a conversation can be
	in: Not Private (not using OTR), Unverified (using OTR, but to a
	fingerprint that hasn't been verified, so you are subject to a
	straightforward active attack), and Private (using OTR with a
	verified fingerprint).  There are new icons for these states
	that appear in the OTR button.

	* gtk-dialog.c: Callers of create_dialog can now specify
	additional widgets to appear in the dialog boxes.  We use this
	primarily for the "What's this?" help widgets.

	* gtk-dialog.c (otrg_gtk_dialog_unknown_fingerprint): This
	function no longer has to deal with callbacks to get the user's
	response to the new fingerprint.

	* gtk-dialog.c: Right-clicking the OTR button now produces an
	OTR menu, with options to start or end the private conversation,
	verify the fingerprint, view the secure session id, or get help.

	* gtk-dialog.c (dialog_update_label_conv): Have the OTR button
	obey the user's requested style (text only, pictures only,
	pictures and text, none).  Note that if the user chooses "none",
	there's currently no way to reach the aforementioned menu.

	* gtk-dialog.c: The "private connection established", "private
	connection refreshed", and "private connection ended" messages
	no longer pop up dialog boxes.  Instead, they appear inline in
	the conversation window.  The session id and fingerprint which
	used to appear in the "private connection established" dialog
	are now viewable via the OTR button right-click menu.

	* gtk-dialog.c: New dialog to view and verify fingerprints.

	* gtk-dialog.c: New dialog to view secure session id.

	* gtk-ui.c: New "Verify fingerprint" button in the plugin UI,
	and rearrangement of the (now four) buttons into a 2x2 table.

	* gtk-ui.c: New "Verified" column in the Known Fingerprints
	table.

	* otr-plugin.c (confirm_fingerprint_cb): This function no longer
	has to deal with callbacks due to the change in the libotr API.

	* otr-plugin.h:
	* otr-plugin.c (otrg_plugin_write_fingerprints): Refactored this
	function so that other parts of the code can call it.

	* otr-plugin.h:
	* otr-plugin.c (otrg_plugin_conv_to_context)
	(otrg_plugin_context_to_conv, otrg_plugin_context_to_trust): New
	functions.

2005-05-27

	* otr-plugin.c:
	* gtk-dialog.c: Replace the OTR button in the button box if the
	user changes the button style (which causes gaim to remove all
	the buttons, and only replace its own).

	* gtk-dialog.c: Add a right-button context menu to the OTR
	button.  Currently, it only has one entry, which has the same
	effect as clicking the button; eventually, you'll be able to do
	other things here, like getting the info currently in the
	"Private Connection Established" dialog.  This also opens the
	door to making the button functionality available if the user
	hides his buttons completely (if we can find a place to make
	this context menu appear; say, on some F-key?).

	* otr-plugin.c (notify_cb): Initialize gaimlevel so that -Wall
	stops complaining, even though there's no situation in which it
	can actually get used while unset.

2005-05-19

	* otr-plugin.h:
	* otr-plugin.c (otrg_plugin_proto_supports_otr): New function to
	check whether a given protocol supports OTR.  Right now,
	everything except IRC is assumed to support it.

	* otr-plugin.c (supply_extended_menu): Don't add the "OTR
	Settings" menu option to the per-buddy menu if this buddy's
	protocol doesn't support OTR.

	* ui.c (otrg_ui_find_policy): If the protocol doesn't support
	OTR, always return a policy of OTRL_POLICY_NEVER.

2005-05-03

	* README:
	* packaging/fedora/gaim-otr.spec:
	* packaging/windows/gaim-otr.nsi:
	* configure.ac: Change version to 2.0.2

	* packaging/debian: Remove this directory, as Thibaut VARENE
	<varenet@debian.org> is now responsible for the debian packages.

2005-03-23

	* otr-plugin.c (process_receiving_im): If libotr tells us to
	ignore this received message (because it's an internal protocol
	message), it's not enough just to return 1 from this function,
	since other plugins that catch receiving-im-msg may later return
	0, and gaim only checks the return value from the last such
	plugin.  So we additionally set the message to NULL.

2005-03-21

	* gtk-ui.c (otrg_gtk_ui_config_buddy):
	* otr-plugin.c (supply_extended_menu): For consistency, use "OTR
	Settings" instead of "OTR Options" everywhere.

2005-03-08

	* gtk-dialog.c (otrg_gtk_dialog_private_key_wait_start): Move a
	variable declaration to the right place.

2005-03-01

	Initial autoconfiscation, thanks to Greg Troxel <gdt@ir.bbn.com>.
